<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formCreate.*" %>
<%@ include file="/xml/formEngine2/sessionInfo2.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
	BdUserSelect bdUserSelect = new BdUserSelect();
    int i = 0;
    int iLen = 0;
    ArrayList list = bdUserSelect.getList();
  
    String sModule = SzConvert.toSpaceStr(request.getParameter("module")); 
    if (!sModule.equals("") && !sModule.endsWith(".xml")) {
    	sModule = sModule + ".xml";
    }

    BdFormControl formControl = new BdFormControl();
	boolean isFormEngine = formControl.isFormEngine(sModule);    
		
	String sObjectType = SzConvert.toSpaceStr(request.getParameter("ObjectType"));
	String sFunction = "OpenUserSelectWin";


%>
<!-----信息列表----->
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post">

  <tr class="trClassTitle2">
    <td>名称</td>
    <td>模块名称</td>
    <td>表单名称</td>
    <td>说明</td>
    <td width="65">操作</td>
  </tr>
<%
	String temp = "";
	String str[]=null;
	iLen = list.size();
	int j = 0;
	for (i=0; i<iLen; i++ ) {
		str = (String[])list.get(i);
   	
    	if (!sModule.equals("") && !sModule.equals(str[1])) {
    		continue;
    	}
  		j ++;  	
%>
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td><%=str[0]%>&nbsp;</td>
    <td><%=str[1]%>&nbsp;</td>
    <td><%=str[2]%>&nbsp;</td>
    <td><%=str[3]%>&nbsp;</td>
    <td width="75">
    <a href="#"  OnClick="Save('<%=str[0]%>');">确定</a>
  </tr>
<%
    }
    out.println(SzPageHelp.outIndexTableTr(j, SzProperties.I_PageSize, 5));
%>
  </form>
</table>

<!-----下面的工具栏------>
<table width="100%" cellpadding="1" cellspacing="0">
  <form name="formPage" method="post">
  <tr>
    <td align="right">
      &nbsp;
    </td>
  </tr>
  </form>
</table>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript" src="<%=strLevel_SESSION%>share/js/commonTool.js"></script>
<script language="javascript">
  function Save(name) { 
    //把生成的选择html放到
    //var oWindow = window.opener;
    var oWindow = window.dialogArguments;
    var vHtml = "";
    vHtml += "<input type='button' name='btnSelect' class='btnClassShort' value='选择' ";  
    vHtml += " OnClick=\"javascript:<%=sFunction%>('" + name + "');\">";
    oWindow.AddSelectHtml(vHtml);
    window.close();
  }
</script>
